Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.linuxsampler.lscp
Enum Client.ScanMode

    java.lang.Object
      java.lang.Enum<Client.ScanMode>
          org.linuxsampler.lscp.Client.ScanMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Client.ScanMode>

Enclosing class:
  Client

    public static enum Client.ScanMode

extends java.lang.Enum<Client.ScanMode>

Enum Constant Summary
`FLAT`
`NON_RECURSIVE`
`RECURSIVE`

Method Summary
`static Client.ScanMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Client.ScanMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RECURSIVE

    public static final Client.ScanMode RECURSIVE

### NON_RECURSIVE

    public static final Client.ScanMode NON_RECURSIVE

### FLAT

    public static final Client.ScanMode FLAT

Method Detail

### values

    public static Client.ScanMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Client.ScanMode c : Client.ScanMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Client.ScanMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.